#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

double findtax(vector<double> A,vector<double> P,int i,int N) {
    double x=0;
    for (int j=0;j<N;j++) {
        if (P[i]<=P[j]) {
            x+=A[j]*P[i]*0.01;
        }
    }
    return x;
}
int main () {
    vector<double> A,P,X;
    int N;
    double a1,p1;
    scanf("%d",&N);
    for (int i=0;i<N;i++) {
    scanf("%lf%lf",&a1,&p1);
    A.push_back(a1);
    P.push_back(p1);
    }
    for (int i=0;i<N;i++) {
    X.push_back(findtax(A,P,i,N));
    }
        printf("%lf",*max_element(X.begin(), X.end()));

}